{* GET CONFIG BY PORTLET OR SMARTY VAR *}
{if isset($portlet) && $portlet->getClass() === 'DZMObservers'}
    {$isPortlet = true}
    {$uid = $instance->getUid()}
    {$config = $portlet->getConfig()}

{else}
    {$isPortlet = false}
    {$uid = 'static'}
    {$config = $dzm_opc_salesbooster_settings->DZMObservers}

{/if}



{* CHECK IF WIDGET IS ACTIVE *}
{if $config->active}
    {if $isPreview}
        <div data-dzm-con-obs-wrapper="preview" class="dzm-con-obs-wrapper {$config->observerStyle->value}">
            <i class="{$config->icon} mr-1" style="color:{$config->observerIconColor}"></i>
            <span class="dzm-con-obs-content dzm-con-obs-observer-notice">[PREVIEW] X Besucher schauen sich diesen Artikel auch gerade an!</span>
        </div>
    {elseif isset($dzm_current_observers) && ($dzm_current_observers > 1 || $config->useAlternative)}



        {if $dzm_current_observers > 1}
            {$DZMObserversStyle = $config->observerStyle->value}
            {$DZMObserversIcon = $config->icon}
            {$DZMObserversIconColor = $config->observerIconColor}
            {$DZMObserversText = {lang key='dzm_observer_notice' printf=$dzm_current_observers section='dzm_opc_salesbooster'}}
        {else}
            {$DZMObserversStyle = $config->noObserverStyle->value}
            {$DZMObserversIcon = $config->noObserverIcon}
            {$DZMObserversIconColor = $config->noObserverIconColor}
            {$DZMObserversText = {lang key='dzm_no_observer_notice' printf=$dzm_current_observers section='dzm_opc_salesbooster'}}

        {/if}

        {if $isPortlet}


        <div    id="{$instance->getProperty('blockId')}"
                {foreach $instance->getAnimationData() as $data => $value} data-{$data}="{$value}" {/foreach}
                data-dzm-con-obs-wrapper="{$uid}"
                class="dzm-con-obs-wrapper {$DZMObserversStyle} {$instance->getAnimationClass()} {$instance->getStyleClasses()}"
                style="{$instance->getStyleString()};">
        {else}

        <div data-dzm-con-obs-wrapper="static" class="dzm-con-obs-wrapper {$DZMObserversStyle}">
        {/if}


            <i class="{$DZMObserversIcon} mr-1" style="color:{$DZMObserversIconColor}"></i>
            <span class="dzm-con-obs-content dzm-con-obs-observer-notice"> {$DZMObserversText}</span>


        </div>

    {/if}



{* RENDER NOTICE IF WIDGET IS INACTIVE FOR OPC EDITOR *}
{elseif $isPortlet && $isPreview}
    <div style="border: 2px dashed red!important;">
        <div class="p-3" style="opacity: 0.5;">
            <i class="fas fa-info-circle mr-1"></i>
            <span class=""> <strong>ACHTUNG Widget [Beobachtet gerade] ist inaktiv</strong></span>
        </div>
    </div>
{/if}

